Subject: LACTO: yogurt cucumber salad

From: [email-masked] (Chuck Narad)
Date: Tue, 8 Mar 1994 01:56:08 GMT

I made this last week; it's an adaptation of something
my friend guru cooked up a few months ago.

	Yogurt Cucumber Salad
	--------------------

	2 cucumbers, peeled, chopped into 1/2" pieces
	1/2 green pepper, cut into chunks
	1/2 red pepper, cut into chunks
	5 roma tomatoes, cut into chunks
	3 scallions, chopped medium
	2 serrano chilies, seeded and minced
	1/3 cup yogurt 
	1 tsp ground cayenne pepper
	1/2 tsp ground cumin
	1 tbs ghee
	1 tbs brown or black mustard seeds

mix the cucmber, green and red peppers, tomatoes and scallions.
stir the cayenne, cumin, and chili into the yogurt, then stir
into the vegetables.  cover and refrigerate for an hour or so.
heat the ghee, add the mustard seeds and toast until they start
to pop; then pour this over the mixture, and serve.

guru usually garnishes this with a handful of alfalfa sprouts.

(I told my dinner guest that in cooking, measurement must be 
very precise.  I told her to count out 115 mustard seed for me.
She dubiously made her way up about 10, at which point I
poured a bunch into my hand and threw them in the ghee :-)

peas be with you,
chuck/

----------------------------------
Chuck Narad -- diver/adventurer/engineer